#!/bin/sh

if [ -f /etc/sysconfig/globus ]; then
   . /etc/sysconfig/globus
fi

. ${GLOBUS_LOCATION}/libexec/globus-script-initializer

if [ -n "$GLOBUS_TCP_PORT_RANGE" ]; then
   export GLOBUS_TCP_PORT_RANGE
fi

if [ -n "$GLOBUS_UDP_PORT_RANGE" ]; then
   export GLOBUS_UDP_PORT_RANGE
fi

if [ "x${CONDORG_INSTALL_PATH}" = "x" ]; then
   export CONDORG_INSTALL_PATH=/opt/condor
fi

if [ ! -d $CONDORG_INSTALL_PATH ]; then
   export CONDORG_INSTALL_PATH=/opt/condor
fi

if [ -f /etc/sysconfig/edg ]; then
   . /etc/sysconfig/edg
fi

if [ -z "$EDG_WL_LOCATION" ]; then
   if [ -f /etc/sysconfig/edg ]; then
   . /etc/sysconfig/edg
   fi
   . ${EDG_LOCATION}/etc/profile.d/edg-wl.sh
fi

if [ "x${EDG_WL_CONFIG_DIR}" = "x" \
   -a \( "${EDG_WL_LOCATION}" != "/opt/edg" -o "${EDG_WL_LOCATION}" != "/usr/local" \) ]; then
   export EDG_WL_CONFIG_DIR="${EDG_WL_LOCATION}/etc"
fi

if [ "x${GRIDMAP}" = "x" ]; then
   export GRIDMAP=/etc/grid-security/grid-mapfile
else
   export GRIDMAP   
fi

if [ ! -r $GRIDMAP ]; then
   export GRIDMAP=/etc/grid-security/grid-mapfile
fi

if [ "x${GRIDMAPDIR}" = "x" ]; then
   export GRIDMAPDIR=/etc/grid-security/gridmapdir
else
   export GRIDMAPDIR
fi

if [ ! -d $GRIDMAPDIR ]; then
   export GRIDMAPDIR=/etc/grid-security/gridmapdir
fi

if [ "x${CONDOR_CONFIG}" = "x" ]; then
   export CONDOR_CONFIG=/opt/condor/etc/condor.conf
fi

if [ ! -r $CONDOR_CONFIG ]; then
   export CONDOR_CONFIG=/opt/condor/etc/condor.conf
fi

if [ "x${EDG_WL_LOG_DESTINATION}" = "x" ]; then
   val=`hostname`
   EDG_WL_LOG_DESTINATION=$val:9002
   export EDG_WL_LOG_DESTINATION
fi
